package com.afp.ordermanagement.controller;


import com.afp.ordermanagement.model.Manager;
import com.afp.ordermanagement.repository.ManagerRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Flux;

@RestController
@RequestMapping("/api")
public class ManagerController {

    @Autowired
    ManagerRepository managerRepository;

    @GetMapping("/manager")
    public Flux<Manager> getAllManagers() {
        System.out.println("here");
        Flux<Manager> managerFlux = managerRepository.findAll();
        return managerFlux;
    }



}
